# Type Alias CopilotSkill

type CopilotSkill = {
description: string;
execute: (config: GenObj) => Promise<{ postExec?: string } | void>;
function_name: string;
json_schema: () => Promise<GenObj>;
render_html: (config: GenObj) => Promise<string>;
system_prompt: () => Promise<string>;
title: string;
}

- Defined in base_types.ts:515

##### Index

### Properties

description
execute
function_name
json_schema
render_html
system_prompt
title

## Properties

### description

description: string

- Defined in base_types.ts:518

### execute

execute: (config: GenObj) => Promise<{ postExec?: string } | void>

- Defined in base_types.ts:522

### function_name

function_name: string

- Defined in base_types.ts:517

### json_schema

json_schema: () => Promise<GenObj>

- Defined in base_types.ts:519

### render_html

render_html: (config: GenObj) => Promise<string>

- Defined in base_types.ts:521

### system_prompt

system_prompt: () => Promise<string>

- Defined in base_types.ts:520

### title

title: string

- Defined in base_types.ts:516